Skip to main content
GET
/
admin
/
rate-limits
/
projects
/
{projectId}
Get rate limit status for a project
curl --request GET \
  --url https://api.engagefabric.com/admin/rate-limits/projects/{projectId}
{
  "projectId": "<string>",
  "projectName": "<string>",
  "apiUsage": {
    "current": 123,
    "limit": 123,
    "remaining": 123,
    "window": 123,
    "resetAt": 123,
    "usagePercent": 123
  },
  "eventUsage": {
    "current": 123,
    "limit": 123,
    "remaining": 123,
    "window": 123,
    "resetAt": 123,
    "usagePercent": 123
  },
  "recentAbuse": [
    {}
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.engagefabric.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectId
string
required

Project ID

Response

Project rate limit status

projectId
string
required

Project ID

projectName
string
required

Project name

tier
enum<string>
required

Current tier

Available options:
FREE,
STARTER,
PROFESSIONAL,
BUSINESS,
ENTERPRISE
apiUsage
object
required

API rate limit usage

eventUsage
object
required

Event rate limit usage

recentAbuse
object[]
required

Recent abuse events